apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tom Donovan <donov...@bellatlantic.net>
Subject Re: svn commit: r667153 - /apr/apr/branches/1.3.x/include/apr.hw
Date Sun, 15 Jun 2008 18:08:44 GMT
wrowe@apache.org wrote:
> This should not be necessary, but SDK 6.1 headers
> were broken (post Visual Studio 2005)

> +++ apr/apr/branches/1.3.x/include/apr.hw Thu Jun 12 09:32:51 2008

> +/* Restrict the server to a subset of Windows XP header files by default
>   */
> -#define _WIN32_WINNT 0x0500
> +#define _WIN32_WINNT 0x0501


I don't find this necessary with SDK6.1 on WinXP using the command-line VC9 compiler included
with 
the SDK.

Is it "to pick up XP/2003 TCP/IP multicast constants" per the CHANGES file?

The concern is that it opens up the possibility of inadvertently building binaries which won't
run 
on Win2k.

True, the minimum Windows platform will probably need to be bumped up soon - but since there
are 
still a lot of Win2k systems in production we should probably be explicit about when that
happens.

-tom-

Mime
View raw message